Module java.xml
Package javax.xml.stream.util

## Class EventReaderDelegate

- java.lang.Object
- - javax.xml.stream.util.EventReaderDelegate

All Implemented Interfaces:
  `Iterator<Object>`, `XMLEventReader`

    public class EventReaderDelegate
    extends Object
    implements XMLEventReader

This is the base class for deriving an XMLEventReader filter. This class is designed to sit between an XMLEventReader and an application's XMLEventReader. By default each method does nothing but call the corresponding method on the parent interface.

Since:
  1.6
See Also:
  `XMLEventReader`, `StreamReaderDelegate`

### Constructor Summary

Constructors
`EventReaderDelegate()` Construct an empty filter with no parent.
`EventReaderDelegate​(XMLEventReader reader)` Construct an filter with the specified parent.

### Method Summary

All Methods Instance Methods Concrete Methods
`XMLEventReader` `getParent()` Get the parent of this instance.
`void` `setParent​(XMLEventReader reader)` Set the parent of this instance.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.util.Iterator

`forEachRemaining, next, remove`

### Methods declared in interface javax.xml.stream.XMLEventReader

`close, getElementText, getProperty, hasNext, nextEvent, nextTag, peek`

### Constructor Detail

#### EventReaderDelegate

    public EventReaderDelegate()

Construct an empty filter with no parent.

#### EventReaderDelegate

    public EventReaderDelegate​(XMLEventReader reader)

Construct an filter with the specified parent.

Parameters:
  `reader` - the parent

### Method Detail

#### setParent

    public void setParent​(XMLEventReader reader)

Set the parent of this instance.

Parameters:
  `reader` - the new parent

#### getParent

    public XMLEventReader getParent()

Get the parent of this instance.

Returns:
  the parent or null if none is set